ata_scsi_hotplug
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsi_hotplug — SCSI part of hotplug

## Synopsis

`void ata_scsi_hotplug (` | struct work_struct * | work`)`;

## Arguments

`work`

  Pointer to ATA port to perform SCSI hotplug on

## Description

Perform SCSI part of hotplug. It's executed from a separate workqueue after EH completes. This is necessary because SCSI hot plugging requires working EH and hot unplugging is synchronized with hot plugging with a mutex.

## LOCKING

Kernel thread context (may sleep).

Prev | Up | Next
ata_scsi_media_change_notify | Home | ata_scsi_user_scan